#ifndef WINVBND_H
#define WINVBND_H

#include "dart.h"
#include "wBLRegion.h"
#include <vector>
#include <iostream>

namespace dart
{

class DART_API InvBnd
{
  private:
    std::vector<double> Me,
                        Vt,
                        Rhoe,
                        DeltaStar;
  
  public:
    
    std::vector<double> BlowingVel;

    InvBnd();
    ~InvBnd();
    
    double GetMe(size_t iPoint) const {return Me[iPoint];};
    double GetVt(size_t iPoint) const {return Vt[iPoint];};
    double GetRhoe(size_t iPoint) const {return Rhoe[iPoint];};
    double GetDeltaStar(size_t iPoint) const {return DeltaStar[iPoint];};

    void SetMe(std::vector<double> _Me) {Me.resize(_Me.size(), 0.0); Me = _Me;};
    void SetVt(std::vector<double> _Vt) {Vt.resize(_Vt.size(), 0.0); Vt = _Vt;};
    void SetRhoe(std::vector<double> _Rhoe) {Rhoe.resize(_Rhoe.size(), 0.0); Rhoe = _Rhoe;};
    void SetDeltaStar(std::vector<double> _DeltaStar) {DeltaStar.resize(_DeltaStar.size(), 0.0); DeltaStar = _DeltaStar;};

};
} // namespace dart
#endif //WINVBND_H